schema_version: mapper-os/phase-index
active_phase: 03-phases/01-corpus-contracts.md
phases:
  - phase_id: 01-corpus-contracts
    title: Corpus, threat model, contracts, and fixtures
    file: 03-phases/01-corpus-contracts.md
    proof_gate: proof-01-corpus-contracts
    status: included_needs_proof
  - phase_id: 02-ingestion-indexing
    title: Ingestion, chunking, and index surfaces
    file: 03-phases/02-ingestion-indexing.md
    proof_gate: proof-02-ingestion-indexing
    status: included_needs_proof
    depends_on:
      - 01-corpus-contracts
  - phase_id: 03-retrieval-answering
    title: Hybrid retrieval, permissions, rerank, and grounded answer
    file: 03-phases/03-retrieval-answering.md
    proof_gate: proof-03-retrieval-answering
    status: included_needs_proof
    depends_on:
      - 02-ingestion-indexing
  - phase_id: 04-evaluation-operations
    title: Evaluation harness, traces, provider readiness, and optional modules
    file: 03-phases/04-evaluation-operations.md
    proof_gate: proof-04-evaluation-operations
    status: included_needs_proof
    depends_on:
      - 03-retrieval-answering
